package org.springblade.manager.service;

import org.springblade.core.mp.base.BaseService;
import org.springblade.manager.dto.SaveUserInfoByProjectDTO;
import org.springblade.system.user.entity.User;

import java.util.List;


public interface SaveUserInfoByProjectService extends BaseService<SaveUserInfoByProjectDTO> {

    List<User> findMaintenanceUser();

    List<SaveUserInfoByProjectDTO> queryCurrentUserDownAllContractAndProjectId(Long userId);

    List<SaveUserInfoByProjectDTO> queryProjectBusinessUser(Long projectId, Long contractId);

}
